Skip to content

startLiveStream

POST
/api/v1/screens/{id}/live-stream
curl --request POST \
--url https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/live-stream \
--header 'X-CSRF-Token: example'

Start a live MJPEG relay session for a screen. Requires an authenticated dashboard user with the write scope. Cookie-authenticated unsafe requests require X-CSRF-Token.

id
required
string format: uuid
X-CSRF-Token
required
string

Live stream session started

Media typeapplication/json
object
data
required
object
id
required
string format: uuid
screenId
required
string format: uuid
active
required
boolean
expiresAt
required
string format: date-time
frameIntervalMillis
required
integer
maxWidth
required
integer
maxHeight
required
integer
maxFrameBytes
required
integer
Examplegenerated
{
"data": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"screenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"active": true,
"expiresAt": "2026-04-15T12:00:00Z",
"frameIntervalMillis": 1,
"maxWidth": 1,
"maxHeight": 1,
"maxFrameBytes": 1
}
}

Dashboard authentication required

Screen scope forbids this screen